Name:           open-vmdk
Version:        0.3.6
Release:        %{autorelease}
Summary:        Tools to create OVA files from raw disk images
License:        Apache-2.0
URL:            https://github.com/vmware/open-vmdk
#Source0:        https://github.com/vmware/open-vmdk/archive/refs/tags/v%%{version}.tar.gz
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  zlib-devel
Requires:       coreutils
Requires:       grep
Requires:       python3-PyYAML
Requires:       python3-lxml
Requires:       sed
Requires:       tar
Requires:       util-linux

%description
Open VMDK is an assistant tool for creating Open Virtual Appliance (OVA). An OVA is a tar archive file with Open Virtualization Format (OVF) files inside, which is composed of an OVF descriptor with extension .ovf, one or more virtual machine disk image files with extension .vmdk, and a manifest file with extension .mf.

%prep
%setup -q

%build
%make_build

%install
%make_install

install -m0644 templates/*.ovf %{buildroot}%{_datadir}/%{name}

%files
%{_datadir}/%{name}
%{_bindir}/*
%config %{_sysconfdir}/*

%changelog
* Thu Nov 23 2023 Ismail Doenmez <idoenmez@i10z.com>
- Initial build for 0.3.6
